html {
	height: 800vh;
}

#div-1 {
	background-color: green;
	/* Take as much spaces as they can/consume the entire width of the 
	webpage */
	display: inline;
}

#span-1 {
	background-color: purple;
	/* Takes only the necessary space needed. */
	/*display: inline;*/
	display: none;
	width: 200px;
	height: 200px;
}

#img {
	width: 250px;
	height: 250px;
	/* Get the ability of "block" elements to set the height and width,
	but only thakes the space intended like "inline" elements. */
}


#span-2 {
	background-color: hotpink;
	display: block;
}

#div-2 {
	background-color: red;
	/*It hides the element from the website and it will not shown 
	visually*/
	display: none;
}

/*CSS Color Values*/

#p-1 {
	background-color: #87CEFA; /*hex code*/
}

#p-2 {
	background-color: rgba(255, 105, 180, 0.5); /*color values using rgb*/
	width: 60%;
}

#p-3 {
	background-color: yellow; /* color names */
	width: 40%;
}

.sample {
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;
}

#float-parent {
	float:  right;
}
.img-float {
	height: 250px;
	width: 250px;
	/* inherit the values from the parent element */
	float:  inherit;

}

.box {
	background-color: red;
	border: 1px solid black;
	margin: 5px;
}

.fifty-percent {
	/* relative to the parent element */
	/* percentage units are often useful to set margins */
	width: 50%;
}

.one-hundred-pixels {
	/* Pixels (px) are considered as absolute units, although relative 
	with the DPI and resolution of viewing device */
	width: 100px;
}
/*
	-viewport units represents a percentage of current browser size.
	- This are calculated as a percentage of the browser's current 
	viewport size. (100vw = 100% browser screen)
	- useful on creating full width (100%) elements to fill up
	the entire viewport.
*/

.fifty-vw {
	width: 50vw; /*viewpoert width*/
}

.twenty-five-vh {
	height: 25vh; /*viewport height*/
}

/*
	rem/em is commonly used in setting font-size;
*/

.one-rem {
	font-size: 1rem;
}

.one-em {
	font-size: 1em;
}

.two-rem {
	font-size: 2rem;
}

.two-em {
	font-size: 2em;
}
.two-hundred-percent {
	font-size:  200%;
}

.parent {
	width: 135px;
	border: 2px solid navy;
	font-size: 30px;
}

/*CSS Background Property*/
.background {
	min-height: 20rem;
	/*background-color: gray;*/
	/* background-image: url (URI/filePath) -Takes on the path
	to your image and set is as the background of a specific 
	container */
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);

	/* 
		background-repeat - sets the background image to repeat
		if the width exceeds the background
			-values:  repeat-x/y, space, round;
	 */
	background-repeat: no-repeat;
	/*
		background-size - specifies the size of the image
			-values: auto, cover, contain;
				-unit values - set the width and height of background image.
					-one value syntax:  sets the width, auto height;
					-two values syntax:  set the first value for width and second value for height;

	*/
	background-size: 100%;

	/*
		background-position - position the background relative to
		the parent element.
			-Two values are needed
				-X Value from the left to right
				-Y value from the top to bottom
			- The values can be in form of: ;
				-unit values (width and height)
				-left, right, top, bottom and center
	*/

	background-position: center top;

	/* background-attachment - sets whether a background image scrolls with the rest of the page. */
	background-attachment: fixed;
}

.bg-title {
	color: white;
	text-align: center;
	font-size: 5rem;
	margin: 0;
	line-height: 35rem;
}

.container-bg {
	background-color: rgba(0, 0, 0, 0.5);
	min-height: 100vh; /* defines the minimum height of an element */
}

/*CSS Position Property*/
.parent-element {
	background-color: skyblue;
	padding: 10px;
	position: relative;
	height: 800vh;
}

.child-one {
	background-color: gray;
	padding: 10px;
}


.child-two {
	background-color: yellow;
	padding: 10px;
	position: sticky;
	/*left: 10px;
	bottom: 10px;*/
	top: 10px;
}

.child-three {
	background-color: gray;
	padding: 10px;
}

/*Z index*/

.container {
	position: relative;
}

.black-box {
	position: relative;
	z-index: 1;
	border: 2px solid black;
	height: 100px;
	margin: 30px;
}

.gray-box {
	position:  absolute;
	z-index: 3;
	background-color: lightgray;
	height: 60px;
	width: 70%;
	left: 50px;
	top: 50px;
}

.green-box {
	position: absolute;
	z-index: 2;
	background-color: lightgreen;
	width: 35%;
	left: 250px;
	top: -15px;
	height: 100px;
}